import request from '@/config/axios'

export interface ProdVolumeVO {

}

export interface ProdVolumePageReqVO extends PageParam {

}

// 查询ProdVolume列表
export const getProdVolumePage = (params: ProdVolumePageReqVO) => {
  return request.get({ url: '/prod/wash/prodVolume/page', params })
}

// 查询ProdVolume列表
export const getPointList = (params: ProdVolumePageReqVO) => {
  return request.get({ url: '/prod/wash/prodVolume/list', params })
}

// 查询ProdVolume详情
export const getProdVolume = (id: number) => {
  return request.get({ url: `/prod/wash/prodVolume/info/${id}`})
}

// 新增ProdVolume
export const createProdVolume = (data: ProdVolumeVO) => {
  return request.post({ url: '/prod/wash/prodVolume/create', data })
}

// 修改ProdVolume
export const updateProdVolume = (data: ProdVolumeVO) => {
  return request.put({ url: '/prod/wash/prodVolume/update', data })
}

// 删除ProdVolume
export const deleteProdVolume = (id: number) => {
  return request.delete({ url: '/prod/wash/prodVolume/delete?id=' + id })
}

//导出ProdVolumeList
export const exportProdVolume = (params) => {
  return request.download({ url: '/prod/wash/prodVolume/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/prod/wash/prodVolume/get-import-template' })
}
